Bug 819258 - [abrt] rpm-4.9.1.3-1.fc16: __memp_alloc: Process /usr/bin/rpmdb was killed by signal 11 (SIGSEGV)
[abrt] rpm-4.9.1.3-1.fc16: __memp_alloc: Process /usr/bin/rpmdb was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:4e5d096551f87668af111946929...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 22:05 EDT by Juest Zungo
Modified: 2013-02-13 15:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:51:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: coredump (4.38 MB, text/plain)
2012-05-05 22:05 EDT, Juest Zungo
no flags Details
File: maps (7.20 KB, text/plain)
2012-05-05 22:06 EDT, Juest Zungo
no flags Details
File: backtrace (57.49 KB, text/plain)
2012-05-05 22:06 EDT, Juest Zungo
no flags Details

  None (edit)
Description Juest Zungo 2012-05-05 22:05:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/rpmdb --rebuilddb
crash_function: __memp_alloc
executable:     /usr/bin/rpmdb
kernel:         3.3.4-1.fc16.i686
pid:            9164
pwd:            /root
reason:         Process /usr/bin/rpmdb was killed by signal 11 (SIGSEGV)
time:           Sat 05 May 2012 09:18:53 PM ART
uid:            0
username:       root

backtrace:      Text file, 58873 bytes
maps:           Text file, 7372 bytes

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/lib/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.i686 (Fedora Project) 1334552740
:/usr/lib/libsoftokn3.so nss-softokn-3.13.4-1.fc16.i686 (Fedora Project) 1334787124
:/usr/lib/liblzma.so.5.0.99 xz-libs-5.1.1-1alpha.fc16.i686 (Fedora Project) 1320287302
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/usr/lib/librpm.so.2.0.3 rpm-libs-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151054
:/usr/lib/libnssutil3.so nss-util-3.13.4-2.fc16.i686 (Fedora Project) 1334787108
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.i686 (Fedora Project) 1320287300
:/lib/libfreebl3.so nss-softokn-freebl-3.13.4-1.fc16.i686 (Fedora Project) 1334787124
:/usr/bin/rpmdb rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1320287300
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/lib/libplc4.so nspr-4.9-2.fc16.i686 (Fedora Project) 1334787107
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1334552771
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc16.i686 (Fedora Project) 1327342539
:/usr/lib/librpmio.so.2.0.1 rpm-libs-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151054
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/usr/lib/libelf-0.153.so elfutils-libelf-0.153-1.fc16.i686 (Fedora Project) 1334552837
:/lib/librt-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/usr/lib/liblua-5.1.so lua-5.1.4-9.fc16.i686 (Fedora Project) 1320287303
:/lib/libpopt.so.0.0.0 popt-1.13-9.fc16.i686 (Fedora Project) 1320287300
:/lib/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/lib/libdb-4.8.so db4-4.8.30-3.fc15.i686 (Fedora Project) 1320287302
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/lib/libplds4.so nspr-4.9-2.fc16.i686 (Fedora Project) 1334787107
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552758
:/lib/libacl.so.1.1.0 libacl-2.2.51-2.fc16.i686 (Fedora Project) 1320287302
:/usr/lib/libnss3.so nss-3.13.4-2.fc16.i686 (Fedora Project) 1334787126
:/lib/libattr.so.1.1.0 libattr-2.4.46-2.fc16.i686 (Fedora Project) 1320287300
:/var/lib/rpm/__db.004 rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/lib/libm-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1334552768
:/var/lib/rpm/__db.001 rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/var/lib/rpm/__db.002 rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/var/lib/rpm/__db.003 rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/var/lib/rpm/Name rpm-4.9.1.3-1.fc16.i686 (Fedora Project) 1335151055
:/lib/libcap.so.2.22 libcap-2.22-1.fc15.i686 (Fedora Project) 1320287300
:/lib/libnspr4.so nspr-4.9-2.fc16.i686 (Fedora Project) 1334787107

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=16
:HOSTNAME=Nico
:TERM=linux
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2e8d01b37cd5e58c9cd4b7f20000000b-1336260104.493435-1247163991
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MAIL=/var/spool/mail/root
:PATH=/usr/lib/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:PWD=/root
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/root
:LOGNAME=root
:QTLIB=/usr/lib/qt-3.3/lib
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/root
:_=/bin/rpm

event_log:
:2012-05-05-22:59:21> Querying server settings
:2012-05-05-22:59:24  Preparing an archive to upload
:2012-05-05-22:59:26  Uploading 478716 bytes
:2012-05-05-22:59:27  Upload successful
:2012-05-05-22:59:29  Retrace job started
:2012-05-05-22:59:40  Analyzing crash data
:2012-05-05-22:59:51  Initializing virtual root
:2012-05-05-23:00:02  Initializing virtual root
:2012-05-05-23:00:13  Initializing virtual root
:2012-05-05-23:00:24  Initializing virtual root
:2012-05-05-23:00:35  Initializing virtual root
:2012-05-05-23:00:46  Initializing virtual root
:2012-05-05-23:00:58  Initializing virtual root
:2012-05-05-23:01:09  Initializing virtual root
:2012-05-05-23:01:20  Initializing virtual root
:2012-05-05-23:01:31  Generating backtrace
:2012-05-05-23:01:42  Retrace job finished successfully
:2012-05-05-23:04:16> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: f5e20628-71da-46ad-8ebd-3dacc3819258
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5984.59
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.00GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 1889
:System Swap: 3256
:Vendor: Hewlett-Packard
:System: HP Compaq dx2200 MT 
:Form factor: Desktop
:Kernel: 3.3.4-1.fc16.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33081:5218:9548) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4098:17270:5218:29268) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4098:17266:5218:29268) pci, piix4_smbus, SERIAL, IXP SB400 SMBus Controller
:(4098:17271:5218:29268) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:17275:5218:29274) pci, snd_hda_intel, MULTIMEDIA, IXP SB4x0 High Definition Audio Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(4098:23103:4098:23103) pci, None, PCI/PCI, RS480 PCI Bridge
:(4098:23137:5218:29268) pci, radeon, VIDEO, RC410 [Radeon Xpress 200]
:(4098:17267:5218:29268) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4098:23091:5218:29268) pci, None, HOST/PCI, Radeon Xpress 200 Host Bridge
:(4098:17269:5218:29268) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17268:5218:29268) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:5218:29268) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 9711361 5511665 5414461 2433024 2114460 2114460
:

var_log_messages:
:May  5 14:20:44 Nico abrtd: error: rpmdbNextIterator: skipping h#     722 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
:May  5 19:11:41 Nico abrtd: error: rpmdbNextIterator: skipping h#     722 Header V3 RSA/SHA256 Signature, key ID a82ba4b7: BAD
:May  5 20:50:35 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 20:50:35 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:06:43 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:06:43 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:07:46 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:07:46 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:14:36 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:14:36 Nico abrtd: error: rpmdb: Thread/process 8679/3078055616 failed: Thread died in Berkeley DB library
:May  5 21:16:50 Nico abrtd: error: rpmdb: Thread/process 9158/3077748416 failed: Thread died in Berkeley DB library
:May  5 21:16:50 Nico abrtd: error: rpmdb: Thread/process 9158/3077748416 failed: Thread died in Berkeley DB library
:May  5 21:18:53 Nico kernel: [30403.678752] rpmdb[9164]: segfault at b329e08b ip 4434bcdd sp bfd41fb0 error 4 in libdb-4.8.so[44220000+187000]
:May  5 21:18:53 Nico abrt[9165]: Saved core dump of pid 9164 (/usr/bin/rpmdb) to /var/spool/abrt/ccpp-2012-05-05-21:18:53-9164 (4587520 bytes)
Comment 1 Juest Zungo 2012-05-05 22:05:58 EDT
Created attachment 582356 [details]
File: coredump
Comment 2 Juest Zungo 2012-05-05 22:06:00 EDT
Created attachment 582357 [details]
File: maps
Comment 3 Juest Zungo 2012-05-05 22:06:02 EDT
Created attachment 582358 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 11:49:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 15:51:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.